<script src="app-assets/vendors/js/switchery.min.js" type="text/javascript"></script>
<script src="app-assets/js/switch.min.js" type="text/javascript"></script>
<div class="content-wrapper" ng-controller="usuarioEditarController as usuarioEditarCtrl">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-header">Validar Usuario</div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-content">
                    <div class="px-3">
                        <form class="form form-horizontal">
                            <div class="form-body">
                                <!-- Fotos -->
                                <h4 class="form-section"><i class="ft-user"></i> Fotos</h4>
                                <div class="row">
                                    <div style="margin-left: 67px" class="col-md-1 col-12">
                                    </div>

                                    <div class="col-md-3 col-12">
                                        <img width="480" height="360"
                                            ng-src="{{'data:image/png;base64,'+ usuarioEditarCtrl.usuario.foto}}"
                                            alt="foto-usuario" />
                                    </div>

                                    <div class="col-md-3 col-12">
                                    </div>

                                    <div class="col-md-3 col-12">
                                        <img width="480" height="360"
                                            ng-src="{{'data:image/png;base64,'+ usuarioEditarCtrl.usuario.documento[0].foto}}"
                                            alt="foto-cnh" />
                                    </div>
                                </div>
                                <!-- Sobre -->
                                <h4 class="form-section"><i class="ft-info"></i> Sobre</h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="nome">Nome:
                                            </label>
                                            <div class="col-md-9">
                                                <input type="text" id="nome" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.nome"
                                                    class="form-control border-primary" name="nome">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="cpf">Cpf:
                                            </label>
                                            <div class="col-md-9">
                                                <input type="text" id="cpf" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.cpf"
                                                    class="form-control border-primary" name="cpf">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Rg:
                                            </label>
                                            <div class="col-md-9">
                                                <input type="text" id="rg" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.rg"
                                                    class="form-control border-primary" name="rg">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="cnh">Cnh:
                                            </label>
                                            <div class="col-md-9">
                                                <input type="text" id="cnh" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.documento[0].numero"
                                                    class="form-control border-primary" name="cnh">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="dtNascimento">Data
                                                Nascimento:
                                            </label>
                                            <div class="col-md-9">
                                                <input type="text" id="dtNascimento" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.dataNascimento | date: 'dd/MM/yyyy' "
                                                    class="form-control border-primary" name="dtNascimento">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="dtNascimento">Data
                                                Validade:
                                            </label>
                                            <div class="col-md-9">
                                                <input type="text" id="dtValidade" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.documento[0].dataValidade"
                                                    class="form-control border-primary" name="dtValidade">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Contato -->
                                <h4 class="form-section"><i class="ft-mail"></i> Contato</h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="celular">Celular: </label>
                                            <div class="col-md-9">
                                                <input class="form-control border-primary" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.celular" id="celular">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="telefone">Telefone:
                                            </label>
                                            <div class="col-md-9">
                                                <input class="form-control border-primary" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.telefone" id="telefone">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="email">Email: </label>
                                            <div class="col-md-9">
                                                <input class="form-control border-primary" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.email" type="email" id="email">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="endereco">Endereço: </label>
                                            <div class="col-md-9">
                                                <input class="form-control border-primary" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.endereco" type="endereco"
                                                    id="endereco">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="cep">Cep: </label>
                                            <div class="col-md-9">
                                                <input class="form-control border-primary" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.cep" type="text" id="cep">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="numero">Número: </label>
                                            <div class="col-md-9">
                                                <input class="form-control border-primary" readonly="readonly"
                                                    ng-model="usuarioEditarCtrl.usuario.numero" type="numero"
                                                    id="numero">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Aprovação -->
                                <h4 class="form-section"><i class="ft-user"></i> Aprovação</h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="email">Motivo: </label>
                                            <fieldset class="form-group">
                                                <textarea class="form-control"
                                                    ng-model="usuarioEditarCtrl.usuario.motivo" id="motivo" rows="5"
                                                    cols="40"></textarea>
                                            </fieldset>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="email">Status: </label>
                                            <label>{{usuarioEditarCtrl.usuario.statusNome}}</label>
                                        </div>
                                    </div>

                                    <div class="col-md-2 col-12" ng-show="usuarioEditarCtrl.usuario.status > 2">
                                        <div class="form-group pb-2">
                                            <div
                                                ng-show="usuarioEditarCtrl.usuario.status == 3 || usuarioEditarCtrl.usuario.status == 5 ">
                                                <input ng-model="usuarioEditarCtrl.check" type="checkbox" id="switchery"
                                                    class="switchery" />
                                            </div>
                                            <div ng-show="usuarioEditarCtrl.usuario.status == 4">
                                                <input ng-model="usuarioEditarCtrl.check" type="checkbox" id="switchery"
                                                    class="switchery" checked />
                                            </div>
                                            <label for="switchery"
                                                class="font-medium-2 text-bold-600 ml-1">Aprovar</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-actions right">
                                <button type="button" ng-click="usuarioEditarCtrl.cancelar()"
                                    class="btn btn-raised btn-warning mr-1">
                                    <i class="ft-x"></i> Cancelar
                                </button>
                                <button type="button" class="btn btn-raised btn-primary"
                                    ng-click="usuarioEditarCtrl.salvar();">
                                    <i class="fa fa-check-square-o"></i> Salvar
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>